Subject: bug#20642: 24.5; Please improve documentation for `pcase'

From: Stefan Monnier <[email-masked]>
Date: Sun, 24 May 2015 22:27:49 -0400

>    Perform ML-style pattern matching on EXP.
> Users are probably not aware what 'ML-style pattern matching' is.

Indeed.  But this "ML-style" is the only useful thing I can think
to add to this first line.  I don't think removing it will help anyone.

> Please add an introduction without referring to ML.

Feel free to suggest a replacement, but remember it has to fit on
a single line.

>    CASES is a list of elements of the form (UPATTERN CODE...).
> Please document the motivation for the existence and nomenclature or
> UPatterns and QPatterns.

In Emacs-25, the docstring has been indirectly modified, so the QPAT now
is only documented in a separate section about the backquote pattern.
You might like to take a look in that version, to see if it makes more
sense that way.

        Stefan